commit 5d1860a1346ba4ef9c25ad2fddd0c918e79d90d1
Author: n.hoffmann <n.hoffmann@localhost>
Date:   Wed Aug 31 13:11:02 2011 +0000

    adding classpath and project file

diff --git a/.gitattributes b/.gitattributes
index 5c8b7dd80..c60c95610 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1,6 +1,8 @@
 * text=auto !eol
 /LICENSE.txt -text
 /README.txt -text
+eu.etaxonomy.taxeditor.application/.classpath -text
+eu.etaxonomy.taxeditor.application/.project -text
 eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF -text
 eu.etaxonomy.taxeditor.application/build.properties -text
 eu.etaxonomy.taxeditor.application/icons/256color_16x16.gif -text
@@ -31,6 +33,8 @@ eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspect
 eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/PolytomousKey.java -text
 eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Taxonomic.java -text
 eu.etaxonomy.taxeditor.application/src/main/resources/log4j.properties -text
+eu.etaxonomy.taxeditor.bulkeditor/.classpath -text
+eu.etaxonomy.taxeditor.bulkeditor/.project -text
 eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF -text
 eu.etaxonomy.taxeditor.bulkeditor/build.properties -text
 eu.etaxonomy.taxeditor.bulkeditor/icons/merge_candidate.gif -text
@@ -493,6 +497,8 @@ eu.etaxonomy.taxeditor.editor/src/test/java/eu/etaxonomy/taxeditor/editor/name/o
 eu.etaxonomy.taxeditor.feature.platform/build.properties -text
 eu.etaxonomy.taxeditor.feature.platform/feature.xml -text
 eu.etaxonomy.taxeditor.feature.platform/pom.xml -text
+eu.etaxonomy.taxeditor.feature/.classpath -text
+eu.etaxonomy.taxeditor.feature/.project -text
 eu.etaxonomy.taxeditor.feature/build.properties -text
 eu.etaxonomy.taxeditor.feature/feature.xml -text
 eu.etaxonomy.taxeditor.feature/pom.xml -text
@@ -1946,6 +1952,8 @@ eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/ContextMen
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/LoginTest.java -text
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/NewMenuTest.java -text
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/NewTaxonWizardTest.java -text
+eu.etaxonomy.taxeditor/.classpath -text
+eu.etaxonomy.taxeditor/.project -text
 eu.etaxonomy.taxeditor/deploy_nightly.sh -text
 eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product -text
 eu.etaxonomy.taxeditor/plugin_customization.ini -text
diff --git a/.gitignore b/.gitignore
index eeeb79d4e..0f451481f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,10 +1,5 @@
-eu.etaxonomy.taxeditor.application/.classpath
-eu.etaxonomy.taxeditor.application/.project
 eu.etaxonomy.taxeditor.application/.settings
-eu.etaxonomy.taxeditor.application/bin
 eu.etaxonomy.taxeditor.application/target
-eu.etaxonomy.taxeditor.bulkeditor/.classpath
-eu.etaxonomy.taxeditor.bulkeditor/.project
 eu.etaxonomy.taxeditor.bulkeditor/.settings
 eu.etaxonomy.taxeditor.bulkeditor/target
 eu.etaxonomy.taxeditor.cdmlib/.classpath
@@ -46,8 +41,6 @@ eu.etaxonomy.taxeditor.feature.platform/.classpath
 eu.etaxonomy.taxeditor.feature.platform/.project
 eu.etaxonomy.taxeditor.feature.platform/.settings
 eu.etaxonomy.taxeditor.feature.platform/target
-eu.etaxonomy.taxeditor.feature/.classpath
-eu.etaxonomy.taxeditor.feature/.project
 eu.etaxonomy.taxeditor.feature/.settings
 eu.etaxonomy.taxeditor.feature/compile.eu.etaxonomy.taxeditor.product.feature.xml
 eu.etaxonomy.taxeditor.feature/plugin_customization.ini
@@ -68,8 +61,6 @@ eu.etaxonomy.taxeditor.store/.settings
 eu.etaxonomy.taxeditor.store/hibernate.log
 eu.etaxonomy.taxeditor.store/target
 eu.etaxonomy.taxeditor.test/screenshots/*.jpeg
-eu.etaxonomy.taxeditor/.classpath
-eu.etaxonomy.taxeditor/.project
 eu.etaxonomy.taxeditor/.settings
 eu.etaxonomy.taxeditor/target
 /runtime-taxeditor.product
diff --git a/eu.etaxonomy.taxeditor.application/.classpath b/eu.etaxonomy.taxeditor.application/.classpath
new file mode 100644
index 000000000..3bf936df7
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.application/.classpath
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry including="**/*.java" kind="src" path="src/main/java"/>
+	<classpathentry including="**/*.java" kind="src" path="src/test/java"/>
+	<classpathentry kind="output" path="target/classes"/>
+</classpath>
diff --git a/eu.etaxonomy.taxeditor.application/.project b/eu.etaxonomy.taxeditor.application/.project
new file mode 100644
index 000000000..14f5a809c
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.application/.project
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>eu.etaxonomy.taxeditor.application</name>
+	<comment>All plugins are combined into this application. NO_M2ECLIPSE_SUPPORT: Project files created with the maven-eclipse-plugin are not supported in M2Eclipse.</comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>org.eclipse.pde.PluginNature</nature>
+	</natures>
+</projectDescription>
diff --git a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
index e2457830b..3c089808e 100644
--- a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
@@ -20,6 +20,7 @@ Require-Bundle: org.eclipse.ui,
  eu.etaxonomy.taxeditor.bulkeditor,
  eu.etaxonomy.taxeditor.editor,
  eu.etaxonomy.taxeditor.printpublisher,
+ eu.etaxonomy.taxeditor.help,
  org.eclipse.equinox.ds,
  org.eclipse.equinox.util,
  org.eclipse.equinox.p2.core,
diff --git a/eu.etaxonomy.taxeditor.application/plugin.xml b/eu.etaxonomy.taxeditor.application/plugin.xml
index baead6ca6..61c007078 100644
--- a/eu.etaxonomy.taxeditor.application/plugin.xml
+++ b/eu.etaxonomy.taxeditor.application/plugin.xml
@@ -201,7 +201,21 @@
             locationURI="menu:org.eclipse.ui.main.menu.help">
          <command
                commandId="org.eclipse.ui.help.helpContents"
-               label="Download Help Manual (PDF)"
+               label="Help Contents"
+               style="push">
+         </command>
+         <command
+               commandId="org.eclipse.ui.help.helpSearch"
+               label="Search"
+               style="push">
+         </command>
+         <separator
+               name="eu.etaxonomy.taxeditor.ui.help.separator0"
+               visible="true">
+         </separator>
+         <command
+               commandId="org.eclipse.ui.help.dynamicHelp"
+               label="Dynamic Help"
                style="push">
          </command>
          <command
@@ -299,11 +313,6 @@
    </extension>
    <extension
          point="org.eclipse.ui.commands">
-      <command
-            defaultHandler="eu.etaxonomy.taxeditor.OpenExternalHelpHandler"
-            id="org.eclipse.ui.help.helpContents"
-            name="Help Contents">
-      </command>
       <command
             defaultHandler="eu.etaxonomy.taxeditor.OpenExternalParserHelpHandler"
             id="eu.etaxonomy.taxeditor.application.help.parser"
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/.classpath b/eu.etaxonomy.taxeditor.bulkeditor/.classpath
new file mode 100644
index 000000000..3bf936df7
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.bulkeditor/.classpath
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry including="**/*.java" kind="src" path="src/main/java"/>
+	<classpathentry including="**/*.java" kind="src" path="src/test/java"/>
+	<classpathentry kind="output" path="target/classes"/>
+</classpath>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/.project b/eu.etaxonomy.taxeditor.bulkeditor/.project
new file mode 100644
index 000000000..f9413bbb3
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.bulkeditor/.project
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>eu.etaxonomy.taxeditor.bulkeditor</name>
+	<comment>NO_M2ECLIPSE_SUPPORT: Project files created with the maven-eclipse-plugin are not supported in M2Eclipse.</comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>org.eclipse.pde.PluginNature</nature>
+	</natures>
+</projectDescription>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/UserCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/UserCreator.java
index 1713fe178..2d8750ab3 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/UserCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/UserCreator.java
@@ -13,9 +13,12 @@ package eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator;
 import java.util.HashMap;
 import java.util.Map;
 
+import org.springframework.security.access.AccessDeniedException;
+
 import eu.etaxonomy.cdm.api.service.IUserService;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
+import eu.etaxonomy.taxeditor.bulkeditor.BulkEditorUtil;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
@@ -38,9 +41,14 @@ public class UserCreator  implements IEntityCreator<User>{
 	 */
 	@Override
 	public User createEntity(Object key, String text) {
-		User user = User.NewInstance(text, text);
-		CdmStore.getService(IUserService.class).createUser(user);
-		return user;
+		try{
+			User user = User.NewInstance(text, text);
+			CdmStore.getService(IUserService.class).createUser(user);
+			return user;
+		} catch (AccessDeniedException e){
+			BulkEditorUtil.errorDialog("Access denied", getClass(), e.getMessage(), e);
+			return null;
+		}
 	}
 
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.feature/.classpath b/eu.etaxonomy.taxeditor.feature/.classpath
new file mode 100644
index 000000000..38db81553
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.feature/.classpath
@@ -0,0 +1,232 @@
+<classpath>
+  <classpathentry kind="output" path="target/classes"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/com.ibm.icu/4.2.1.v20100412/com.ibm.icu-4.2.1.v20100412.jar"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.application"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.bulkeditor"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.cdmlib"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/activation-1.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/antlr-2.7.6.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/aopalliance-1.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/asm-attrs.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/asm.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/aspectjrt-1.6.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/aspectjweaver-1.6.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/avalon-framework-4.2.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/batik-all-1.7.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/c3p0-0.9.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-commons-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-ext-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-io-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-model-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-persistence-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-print-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-remote-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cdmlib-services-3.0.7-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-2.1.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-beanutils-1.7.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-collections-3.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-dbcp-1.2.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-io-1.3.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-io-1.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-lang-2.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-logging-1.0.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/commons-pool-1.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/dom4j-1.6.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/dozer-5.3.0-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/dozer-5.3.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/ehcache-1.2.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/ejb3-persistence.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/ezmorph-1.0.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/fop.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/google-api-translate-java-0.92.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/h2-1.1.115.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-annotations-3.4.0-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-commons-annotations-3.4.0-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-core-3.4.0-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-envers-3.4.0-SNAPSHOT.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-search-3.1.0.GA.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-tools-3.2.0.ga.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-validator-4.0.0.CR1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/hsqldb.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/httpclient-4.0.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/httpcore-4.0.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/javassist.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jaxb-api-2.1.6.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jaxb-impl-2.1.6.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jaxen-1.1.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jdbc-1.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jdbc2_0-stdext.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jdom.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/joda-time-1.5.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/joda-time-hibernate-1.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/json-lib-2.2.3-jdk15.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jsr250-api-1.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jta.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/jtds-1.2.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/junit-4.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/junit-4.8.1-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/junit-4.8.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/log4j-1.2.14.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/lsid-client-1.1.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/lsid-server-1.1.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/lucene-core-2.4.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/lucene-spellchecker-2.4.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/mail-1.4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/msbase-2000.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/mssqlserver-2000.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/msutil-2000.3.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/mysql-connector-java-5.0.5.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/odfdom-0.8.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/opencsv-1.8.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.apache.commons.codec-1.3.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.eclipse.equinox.common-3.6.0.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.eclipse.osgi-3.6.2.R36x_v20110210.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.aop-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.aop-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.asm-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.asm-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.aspects-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.aspects-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.beans-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.beans-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.context-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.context-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.context.support-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.context.support-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.core-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.core-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.expression-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.expression-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.jdbc-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.jdbc-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.orm-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.orm-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.oxm-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.oxm-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.transaction-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.transaction-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.web-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.web-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.web.servlet-3.0.4.RELEASE-sources.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/org.springframework.web.servlet-3.0.4.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/poi-3.1-FINAL.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/postgresql-8.2-504.jdbc4.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/sanselan-0.97-incubator.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/saxon9he.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/serializer-2.7.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/servlet-2.5.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/servlet-api-2.5.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/slf4j-api-1.5.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/slf4j-log4j12-1.5.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/spring-modules-cache-0.7.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/spring-modules-lucene-0.8a.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/spring-security-config-3.0.5.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/spring-security-core-3.0.5.RELEASE.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/wsdl4j-1.6.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xalan-2.7.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xercesImpl-2.7.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xercesImpl.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xml-apis-1.3.04.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xml-apis-ext-1.3.04.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xml-apis.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xml-resolver-1.2.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xmlgraphics-commons-1.3.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xom-1.0.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xsltc.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/xstream-1.3.1.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk/eu.etaxonomy.taxeditor.cdmlib/lib/yjp-controller-api-redist-8.0.1.jar"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.editor"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.navigation"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.printpublisher"/>
+  <classpathentry kind="src" path="/eu.etaxonomy.taxeditor.store"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/javax.servlet/2.5.0.v200910301333/javax.servlet-2.5.0.v200910301333.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.apache.commons.logging/1.0.4.v201005080501/org.apache.commons.logging-1.0.4.v201005080501.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ant.core/3.2.201.v20110203_r362/org.eclipse.ant.core-3.2.201.v20110203_r362.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.compare/3.5.101.R36x_v20100929-0800/org.eclipse.compare-3.5.101.R36x_v20100929-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.compare.core/3.5.101.R36x_v20100929-0800/org.eclipse.compare.core-3.5.101.R36x_v20100929-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.commands/3.6.0.I20100512-1500/org.eclipse.core.commands-3.6.0.I20100512-1500.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.contenttype/3.4.100.v20100505-1235/org.eclipse.core.contenttype-3.4.100.v20100505-1235.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.databinding/1.3.100.I20100601-0800/org.eclipse.core.databinding-1.3.100.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.databinding.beans/1.2.100.I20100601-0800/org.eclipse.core.databinding.beans-1.2.100.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.databinding.observable/1.3.0.I20100601-0800/org.eclipse.core.databinding.observable-1.3.0.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.databinding.property/1.3.0.I20100601-0800/org.eclipse.core.databinding.property-1.3.0.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.expressions/3.4.200.v20100505/org.eclipse.core.expressions-3.4.200.v20100505.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.filebuffers/3.5.100.v20100520-0800/org.eclipse.core.filebuffers-3.5.100.v20100520-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.filesystem/1.3.1.R36x_v20100727-0745/org.eclipse.core.filesystem-1.3.1.R36x_v20100727-0745.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.jobs/3.5.1.R36x_v20100824/org.eclipse.core.jobs-3.5.1.R36x_v20100824.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.net/1.2.100.I20100511-0800/org.eclipse.core.net-1.2.100.I20100511-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.resources/3.6.1.R36x_v20110131-1630/org.eclipse.core.resources-3.6.1.R36x_v20110131-1630.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.runtime/3.6.0.v20100505/org.eclipse.core.runtime-3.6.0.v20100505.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.runtime.compatibility.auth/3.2.200.v20100517/org.eclipse.core.runtime.compatibility.auth-3.2.200.v20100517.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/.cache/tycho/org.eclipse.core.runtime.compatibility.registry-3.3.0.v20100520.jar/runtime_registry_compatibility.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.core.variables/3.2.400.v20100505/org.eclipse.core.variables-3.2.400.v20100505.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.draw2d/3.6.2.v20110128-0100/org.eclipse.draw2d-3.6.2.v20110128-0100.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ecf/3.1.0.v20100906-1425/org.eclipse.ecf-3.1.0.v20100906-1425.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ecf.filetransfer/4.0.0.v20100906-1425/org.eclipse.ecf.filetransfer-4.0.0.v20100906-1425.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ecf.identity/3.1.0.v20100906-1425/org.eclipse.ecf.identity-3.1.0.v20100906-1425.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ecf.provider.filetransfer/3.1.0.v20100906-1425/org.eclipse.ecf.provider.filetransfer-3.1.0.v20100906-1425.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.app/1.3.1.R36x_v20100803/org.eclipse.equinox.app-1.3.1.R36x_v20100803.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.common/3.6.0.v20100503/org.eclipse.equinox.common-3.6.0.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.ds/1.2.1.R36x_v20100803/org.eclipse.equinox.ds-1.2.1.R36x_v20100803.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.launcher/1.1.1.R36x_v20101122_1400/org.eclipse.equinox.launcher-1.1.1.R36x_v20101122_1400.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.launcher.cocoa.macosx.x86_64/1.1.2.R36x_v20101019_1345/org.eclipse.equinox.launcher.cocoa.macosx.x86_64-1.1.2.R36x_v20101019_1345.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.artifact.repository/1.1.1.R36x_v20100901/org.eclipse.equinox.p2.artifact.repository-1.1.1.R36x_v20100901.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.core/2.0.3.R36x_v20110111/org.eclipse.equinox.p2.core-2.0.3.R36x_v20110111.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.director/2.0.3.R36x_v20101117-1018/org.eclipse.equinox.p2.director-2.0.3.R36x_v20101117-1018.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.engine/2.0.1.R36x_v20110201/org.eclipse.equinox.p2.engine-2.0.1.R36x_v20110201.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.jarprocessor/1.0.200.v20100503a/org.eclipse.equinox.p2.jarprocessor-1.0.200.v20100503a.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.metadata/2.0.1.R36x_v20101202/org.eclipse.equinox.p2.metadata-2.0.1.R36x_v20101202.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.metadata.repository/1.1.0.v20100513/org.eclipse.equinox.p2.metadata.repository-1.1.0.v20100513.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.operations/2.0.0.v20100510/org.eclipse.equinox.p2.operations-2.0.0.v20100510.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.repository/2.0.2.R36x_v20110111-1500/org.eclipse.equinox.p2.repository-2.0.2.R36x_v20110111-1500.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.ui/2.0.0.v20100518/org.eclipse.equinox.p2.ui-2.0.0.v20100518.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.ui.sdk/1.0.100.v20100513/org.eclipse.equinox.p2.ui.sdk-1.0.100.v20100513.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.p2.updatechecker/1.1.101.R36x_v20100823/org.eclipse.equinox.p2.updatechecker-1.1.101.R36x_v20100823.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.preferences/3.3.0.v20100503/org.eclipse.equinox.preferences-3.3.0.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.registry/3.5.0.v20100503/org.eclipse.equinox.registry-3.5.0.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.security/1.0.200.v20100503/org.eclipse.equinox.security-1.0.200.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.security.ui/1.0.200.v20100503/org.eclipse.equinox.security.ui-1.0.200.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.simpleconfigurator/1.0.200.v20100503/org.eclipse.equinox.simpleconfigurator-1.0.200.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.equinox.util/1.0.200.v20100503/org.eclipse.equinox.util-1.0.200.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.help/3.5.0.v20100524/org.eclipse.help-3.5.0.v20100524.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.jdt.junit.runtime/3.4.200.v20100526-0800/org.eclipse.jdt.junit.runtime-3.4.200.v20100526-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.jface/3.6.2.M20110210-1200/org.eclipse.jface-3.6.2.M20110210-1200.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.jface.databinding/1.4.0.I20100601-0800/org.eclipse.jface.databinding-1.4.0.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.jface.text/3.6.1.r361_v20100825-0800/org.eclipse.jface.text-3.6.1.r361_v20100825-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ltk.core.refactoring/3.5.101.r362_v20101117-0800/org.eclipse.ltk.core.refactoring-3.5.101.r362_v20101117-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ltk.ui.refactoring/3.5.0.v20100526-0800/org.eclipse.ltk.ui.refactoring-3.5.0.v20100526-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.osgi/3.6.2.R36x_v20110210/org.eclipse.osgi-3.6.2.R36x_v20110210.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.osgi.services/3.2.100.v20100503/org.eclipse.osgi.services-3.2.100.v20100503.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.pde.runtime/3.4.200.v20100601/org.eclipse.pde.runtime-3.4.200.v20100601.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.swt/3.6.2.v3659c/org.eclipse.swt-3.6.2.v3659c.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.swt.cocoa.macosx.x86_64/3.6.2.v3659b/org.eclipse.swt.cocoa.macosx.x86_64-3.6.2.v3659b.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.team.core/3.5.101.R36x_v20110203-1036/org.eclipse.team.core-3.5.101.R36x_v20110203-1036.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.team.ui/3.5.102.R36x_v20110203-1036/org.eclipse.team.ui-3.5.102.R36x_v20110203-1036.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.text/3.5.0.v20100601-1300/org.eclipse.text-3.5.0.v20100601-1300.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui/3.6.2.M20110203-1100/org.eclipse.ui-3.6.2.M20110203-1100.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.cocoa/1.0.2.M20101124-0800/org.eclipse.ui.cocoa-1.0.2.M20101124-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.editors/3.6.1.r361_v20100825-0800/org.eclipse.ui.editors-3.6.1.r361_v20100825-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.forms/3.5.2.r36_v20100702/org.eclipse.ui.forms-3.5.2.r36_v20100702.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.ide/3.6.2.M20101201-0800/org.eclipse.ui.ide-3.6.2.M20101201-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.navigator/3.5.0.I20100601-0800/org.eclipse.ui.navigator-3.5.0.I20100601-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.navigator.resources/3.4.202.M20101124-0800/org.eclipse.ui.navigator.resources-3.4.202.M20101124-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.views/3.5.1.M20110202-0800/org.eclipse.ui.views-3.5.1.M20110202-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.views.log/1.0.100.v20110210_r362/org.eclipse.ui.views.log-1.0.100.v20110210_r362.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.views.properties.tabbed/3.5.100.I20100509-0800/org.eclipse.ui.views.properties.tabbed-3.5.100.I20100509-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.workbench/3.6.2.M20110210-1200/org.eclipse.ui.workbench-3.6.2.M20110210-1200.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.ui.workbench.texteditor/3.6.1.r361_v20100714-0800/org.eclipse.ui.workbench.texteditor-3.6.1.r361_v20100714-0800.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.update.configurator/3.3.100.v20100512/org.eclipse.update.configurator-3.3.100.v20100512.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.update.core/3.2.402.R36x_v20100629/org.eclipse.update.core-3.2.402.R36x_v20100629.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.update.ui/3.2.300.v20100512/org.eclipse.update.ui-3.2.300.v20100512.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.zest.core/1.2.0.v20101209-2020/org.eclipse.zest.core-1.2.0.v20101209-2020.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.eclipse.zest.layouts/1.1.0.v20101209-2020/org.eclipse.zest.layouts-1.1.0.v20101209-2020.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.hamcrest/1.1.0.v20090501071000/org.hamcrest-1.1.0.v20090501071000.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.hamcrest.core/1.1.0.v20090501071000/org.hamcrest.core-1.1.0.v20090501071000.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.hamcrest.integration/1.1.0.v20090501071000/org.hamcrest.integration-1.1.0.v20090501071000.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.hamcrest.library/1.1.0.v20090501071000/org.hamcrest.library-1.1.0.v20090501071000.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.hamcrest.text/1.1.0.v20090501071000/org.hamcrest.text-1.1.0.v20090501071000.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/.cache/tycho/org.junit-4.8.1.v4_8_1_v20100427-1100.jar/junit.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.sat4j.core/2.2.0.v20100429/org.sat4j.core-2.2.0.v20100429.jar"/>
+  <classpathentry kind="lib" path="/Users/n.hoffmann/.m2/repository/p2/osgi/bundle/org.sat4j.pb/2.2.0.v20100429/org.sat4j.pb-2.2.0.v20100429.jar"/>
+  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+</classpath>
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.feature/.project b/eu.etaxonomy.taxeditor.feature/.project
new file mode 100644
index 000000000..35ce558dc
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.feature/.project
@@ -0,0 +1,23 @@
+<projectDescription>
+  <name>eu.etaxonomy.taxeditor.feature</name>
+  <comment>NO_M2ECLIPSE_SUPPORT: Project files created with the maven-eclipse-plugin are not supported in M2Eclipse.</comment>
+  <projects>
+    <project>eu.etaxonomy.taxeditor.application</project>
+    <project>eu.etaxonomy.taxeditor.bulkeditor</project>
+    <project>eu.etaxonomy.taxeditor.cdmlib</project>
+    <project>eu.etaxonomy.taxeditor.editor</project>
+    <project>eu.etaxonomy.taxeditor.feature.platform</project>
+    <project>eu.etaxonomy.taxeditor.navigation</project>
+    <project>eu.etaxonomy.taxeditor.printpublisher</project>
+    <project>eu.etaxonomy.taxeditor.store</project>
+  </projects>
+  <buildSpec>
+    <buildCommand>
+      <name>org.eclipse.jdt.core.javabuilder</name>
+    </buildCommand>
+  </buildSpec>
+  <natures>
+    <nature>org.eclipse.jdt.core.javanature</nature>
+    <nature>org.eclipse.pde.PluginNature</nature>
+  </natures>
+</projectDescription>
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.feature/feature.xml b/eu.etaxonomy.taxeditor.feature/feature.xml
index 0f73c3dcb..c4caf249c 100644
--- a/eu.etaxonomy.taxeditor.feature/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature/feature.xml
@@ -119,4 +119,11 @@ Software distributed under the License is distributed on an &quot;AS IS&quot; ba
          version="0.0.0"
          unpack="false"/>
 
+   <plugin
+         id="eu.etaxonomy.taxeditor.help"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
 </feature>
diff --git a/eu.etaxonomy.taxeditor/.classpath b/eu.etaxonomy.taxeditor/.classpath
new file mode 100644
index 000000000..7c95b583f
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/.classpath
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.application"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.bulkeditor"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.cdmlib"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.editor"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.navigation"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.printpublisher"/>
+	<classpathentry kind="src" path="/eu.etaxonomy.taxeditor.store"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="output" path="target/classes"/>
+</classpath>
diff --git a/eu.etaxonomy.taxeditor/.project b/eu.etaxonomy.taxeditor/.project
new file mode 100644
index 000000000..474fbc146
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/.project
@@ -0,0 +1,24 @@
+<projectDescription>
+  <name>eu.etaxonomy.taxeditor</name>
+  <comment>The EDIT Taxonomic Desktop Editor.</comment>
+  <projects>
+    <project>eu.etaxonomy.taxeditor.application</project>
+    <project>eu.etaxonomy.taxeditor.bulkeditor</project>
+    <project>eu.etaxonomy.taxeditor.cdmlib</project>
+    <project>eu.etaxonomy.taxeditor.editor</project>
+    <project>eu.etaxonomy.taxeditor.feature</project>
+    <project>eu.etaxonomy.taxeditor.feature.platform</project>
+    <project>eu.etaxonomy.taxeditor.navigation</project>
+    <project>eu.etaxonomy.taxeditor.printpublisher</project>
+    <project>eu.etaxonomy.taxeditor.store</project>
+  </projects>
+  <buildSpec>
+    <buildCommand>
+      <name>org.eclipse.jdt.core.javabuilder</name>
+    </buildCommand>
+  </buildSpec>
+  <natures>
+    <nature>org.eclipse.jdt.core.javanature</nature>
+    <nature>org.eclipse.pde.PluginNature</nature>
+  </natures>
+</projectDescription>
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
index 367316b17..0a27fa01d 100644
--- a/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
+++ b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
@@ -14,7 +14,7 @@
    </configIni>
 
    <launcherArgs>
-      <programArgs>-data @user.home/.cdmLibrary</programArgs>
+      <programArgs>-data @user.home/.cdmLibrary -Dserver_port=58080</programArgs>
       <vmArgs>-Xmx512M -XX:MaxPermSize=256M</vmArgs>
       <vmArgsMac>-XstartOnFirstThread -Dorg.eclipse.swt.internal.carbon.smallFonts</vmArgsMac>
    </launcherArgs>
diff --git a/pom.xml b/pom.xml
index cf0dce2fb..c65a5bd4b 100644
--- a/pom.xml
+++ b/pom.xml
@@ -26,6 +26,7 @@
 		<module>eu.etaxonomy.taxeditor.bulkeditor</module>
 		<module>eu.etaxonomy.taxeditor.printpublisher</module>
 		<!--module>eu.etaxonomy.taxeditor.annotatedlineeditor</module-->
+		<module>eu.etaxonomy.taxeditor.help</module>
 		<module>eu.etaxonomy.taxeditor.application</module>
 		<module>eu.etaxonomy.taxeditor.feature.platform</module>
 		<module>eu.etaxonomy.taxeditor.feature</module>
